Jump to content

[FREEBSD] 13.0 - GCC8/GCC9/GCC10 - MySQL5.6/MariaDB10.3 - Python2.7


Recommended Posts

1 - Mysql 5.6
2 - MariaDB 10.3

 

 

Datos de FreeBSD:

Usuario: root

Contraseña: dev

 

Paquetes instalados en el VDI de MySQL 5.6

        gcc10: 10.3.0

        gcc8: 8.5.0_1

        gcc9: 9.4.0

        gdb: 10.2_1

        gmake: 4.3_2

        makedepend: 1.0.6,1

        mysql56-client: 5.6.51

        mysql56-server: 5.6.51

        python27-2.7.18_1

 

 

Paquetes instalados en el VDI de MariaDB 10.3

 

        gcc10: 10.3.0

        gcc8: 8.5.0_1

        gcc9: 9.4.0

        gdb: 10.2_1

        gmake: 4.3_2

        makedepend: 1.0.6,1

        mariadb103-client: 10.3.30

        mariadb103-server: 10.3.30

        python27-2.7.18_1

 

 

Descarga FreeBSD MySQL 5.6

Debes iniciar sesión para ver el contenido del enlace en esta publicación.

Descarga FreeBSD MariaDB 10.3

Debes iniciar sesión para ver el contenido del enlace en esta publicación.

 

 

Creditos: Gardon611

Link to comment
Share on other sites

hace 6 horas, Pegasus dijo:

Post ya publicado.

enlace?

Link to comment
Share on other sites

hace 1 minuto, Pegasus dijo:

 

no es el mismo VDI, uno esta en MediaFire y el otro está en Google Drive, uno trae MariaDB 10.3 y otro MySQL 5.6, segun el que subio el tiene sus creditos y yo deje el pie del post los creditos al creador del VDI, primero se revisa los enlaces y despues se dice que hay un duplicado de post.

Link to comment
Share on other sites

Justo ahora, 【ℛ-𝓝】ℛ𝔂𝓼𝒆 dijo:

no es el mismo VDI, uno esta en MediaFire y el otro está en Google Drive, uno trae MariaDB 10.3 y otro MySQL 5.6, segun el que subio el tiene sus creditos y yo deje el pie del post los creditos al creador del VDI, primero se revisa los enlaces y despues se dice que hay un duplicado de post.

Cierto Ryse disculpa no lei bien

 

Link to comment
Share on other sites

Si no me equivoco, hablo sin mirar documentación ni nada la MariaDB 10.1 10.2 y 10.3 es totalmente compatible con MySQL 5.6.

MariaDB simplemente es una bifurcación de MySQL bajo licencia GPL, en principio tanto da que instales uno u otro, usan mismas ordenes, api, bibliotecas, de hecho no sería la primera vez que he pasado en más de un server de MySQL a MariaDB (no de metin pero si de servidores donde corren cms, crm o erp, o incluso aplicaciones que hacían uso constante en la base de datos. 

De hecho instalar una FreeBSD de 32 bit para compilar, con tener esos mismos paquetes que puso Ryse, debería funcionar dando igual si es MySQL 5.6 o MariaDB, otra cosa es si funcione descomprimiendo el famoso mysql con tar, en realidad se debería de exportar en formato .sql y no comprimir la carpeta mysql de /var/db.

P.D Para algo esta la herramienta mysqldump 

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...